# we can safely import numpy here, sice it should be installed by now
import numpy as np
from setuptools import Extension, setup

ext = Extension(
    "amplitude.camplitude",
    sources=[   "amplitude/camplitude.cpp",
                "amplitude/sweeping.cpp",
                "amplitude/hamiltonians.cpp"],
    include_dirs=[  "amplitude",
                    np.get_include()],
    language="c++",
    extra_compile_args=["-std=c++11"]
)


if __name__ == '__main__':
    print("calling setup.py (amplitude)")

    setup(
        name = "amplitude",
        packages = ['amplitude'],
#        package_dir = {'amplitude': 'amplitude'},
        script_args=['build_ext'],
        options={'build_ext': {'inplace': True}},
        ext_modules=[ext]
    )
